<?php
// +----------------------------------------------------------------------
// | CatchAdmin [Just Like ～ ]
// +----------------------------------------------------------------------
// | Copyright (c) 2017~{$year} http://catchadmin.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( https://github.com/yanwenwu/catch-admin/blob/master/LICENSE.txt )
// +----------------------------------------------------------------------
// | Author: JaguarJack [ njphper@gmail.com ]
// +----------------------------------------------------------------------

// you should use `$router`
$router->group(function () use ($router){
	// vehicle路由
	$router->get('vehicle/getRfidTagsList', '\catchAdmin\yunying\controller\Vehicle@getRfidTagsList');
	$router->get('vehicle/getMapList', '\catchAdmin\yunying\controller\Vehicle@getMapList');
	$router->post('vehicle/importVehicle', '\catchAdmin\yunying\controller\Vehicle@importVehicle');
	$router->resource('vehicle', '\catchAdmin\yunying\controller\Vehicle');
	
	// 导出车辆
	$router->post('export_vehicle', '\catchAdmin\yunying\controller\Vehicle@export_vehicle');
	// vehicle_photo路由
	$router->resource('vehicle_photo', '\catchAdmin\yunying\controller\VehiclePhoto');
	// stolen_vehicle路由
	$router->resource('stolen_vehicle', '\catchAdmin\yunying\controller\StolenVehicle');
	// vehicle_brand路由
	$router->resource('vehicle_brand', '\catchAdmin\yunying\controller\VehicleBrand');
	// vehicle_color路由
	$router->resource('vehicle_color', '\catchAdmin\yunying\controller\VehicleColor');
	// insurance路由
	$router->resource('insurance', '\catchAdmin\yunying\controller\Insurance');
	// insureRecords路由
	$router->resource('insureRecords', '\catchAdmin\yunying\controller\InsureRecords');
	// keyPerSonnel路由
	$router->resource('keyPersonnel', '\catchAdmin\yunying\controller\KeyPersonnel');
	$router->post('keyPersonnel/importExcel', '\catchAdmin\yunying\controller\KeyPersonnel@importExcel');
	
})->middleware('auth');